<bugID>835961<Summary>Should be able to add new elements with the inspector.</Summary><Description>We can edit elements from the inspector, and delete elements, but we cannot add new elements. This would be useful. Maybe the UI could be something like right clicking on an existing element, and having the option to either add a new element as a child or as a sibling of that element.

Alternatively, we could do what Chrome does. It allows you to edit an element as plain text. When you do this, you can type another element's tag, and when you save a new element will be in the DOM. Currently we can only edit the tag name, the attribute, and the text of the text content of the element, and the text content is escaped, so if `&lt;em&gt;bold&lt;/em&gt;` is typed, it is escaped to "&amp;gt;em&amp;lt;bold&amp;gt;/em&amp;lt;".</Description></bugID>